> ## Documentation Index
> Fetch the complete documentation index at: https://bmpmoneyplus-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 6 - Cancel Proposal

<Warning>It is not possible to call the cancellation endpoint within 7 days of the proposal being disbursed or if it is in the assigned status (ID = 10).</Warning>

Through this endpoint, the partner cancels an FGTS transaction, respecting the following rules:

* The transaction cannot exceed the 7-day period from the moment of disbursement;
* If the transaction is disbursed, the amount will need to be returned to us.


## OpenAPI

````yaml post /FGTS/CancelarProposta
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.FGTS.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br/
    description: Localhost
security:
  - Bearer: []
paths:
  /FGTS/CancelarProposta:
    post:
      tags:
        - FGTS
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CancelarPropostaCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/CancelarPropostaCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CancelarPropostaCommand'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CancelarPropostaResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/CancelarPropostaResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CancelarPropostaResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            text/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
components:
  schemas:
    CancelarPropostaCommand:
      type: object
      properties:
        dto:
          $ref: '#/components/schemas/FGTSSaqAnivCancelarPropostaDTO'
      additionalProperties: false
    CancelarPropostaResponse:
      type: object
      properties:
        Msg:
          type: string
          nullable: true
        Result:
          type: boolean
          writeOnly: true
        HasError:
          type: boolean
        Messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        Boleto:
          type: string
          format: uuid
          nullable: true
      additionalProperties: false
    ResponseBase:
      type: object
      properties:
        Msg:
          type: string
          nullable: true
        Result:
          type: boolean
          writeOnly: true
        HasError:
          type: boolean
        Messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
      additionalProperties: false
    FGTSSaqAnivCancelarPropostaDTO:
      required:
        - CodigoProposta
      type: object
      properties:
        CodigoProposta:
          type: string
          description: Código da proposta
          format: uuid
          nullable: true
        CodigoOperacao:
          type: string
          description: Código operação
          nullable: true
        TextoMotivoCancelamento:
          type: string
          description: Motivo do cancelamento
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        MessageType:
          $ref: '#/components/schemas/ErrorType'
        Code:
          type: string
          nullable: true
        Context:
          type: string
          nullable: true
        Description:
          type: string
          nullable: true
        Field:
          type: string
          nullable: true
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````